Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.sword
Class RawLDBackend.IndexKey

    java.lang.Object
      org.crosswire.jsword.passage.DefaultLeafKeyList
          org.crosswire.jsword.book.sword.RawLDBackend.IndexKey

All Implemented Interfaces:
  Cloneable, Comparable, Iterable, Key

Enclosing class:
  RawLDBackend

    static class RawLDBackend.IndexKey

extends DefaultLeafKeyList

A Key that knows where the data is in the real file.

Field Summary
`protected int` | `offset`
`protected int` | `size`

Constructor Summary
`protected` | `RawLDBackend.IndexKey(String text)` Setup with the key name.
`protected` | `RawLDBackend.IndexKey(String text, int offset, int size, Key parent)` Setup with the key name and positions of data in the file

Method Summary
`Object` | `clone()` This needs to be declared here so that it is visible as a method on a derived Key.

Methods inherited from class org.crosswire.jsword.passage.DefaultLeafKeyList
`addAll, blur, canHaveChildren, clear, compareTo, contains, equals, get, getChildCount, getName, getName, getOsisID, getOsisRef, getParent, hashCode, indexOf, isEmpty, iterator, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### offset

    protected int offset

### size

    protected int size

Constructor Detail

### RawLDBackend.IndexKey

    protected RawLDBackend.IndexKey(String text,
                                    int offset,
                                    int size,
                                    Key parent)

  Setup with the key name and positions of data in the file

### RawLDBackend.IndexKey

    protected RawLDBackend.IndexKey(String text)

  Setup with the key name. Use solely for searching.

Method Detail

### clone

    public Object clone()

  Description copied from interface: `Key`
  This needs to be declared here so that it is visible as a method on a derived Key.

  Specified by:
    `clone` in interface `Key`
  Overrides:
    `clone` in class `DefaultLeafKeyList`
  Returns:
    A complete copy of ourselves

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD